MODULE_PROCESS_ARGVS(3)

FUNCTION
module_process_argvs - Process a shell command line.

SYNOPSIS
#include <karma_module.h>

void module_process_argvs

( int argc, char **argv, flag (*unknown_func) () )

DESCRIPTION
This routine will process a shell command line, using the <-panel_process_command_with_stack-> routine.

argc
    The number of command line arguments.

argv
    The command line arguments. These do not include command used to execute the process ( cf. main() ).

unknown_func
    The function which is called when the command is not understood. The prototype function is <-panel_PROTO_decode_func->.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/